japa.parser.ast.body

## Class ConstructorDeclaration

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.BodyDeclaration
    - - japa.parser.ast.body.ConstructorDeclaration

    public final class ConstructorDeclaration
    extends BodyDeclaration

### Constructor Summary

Constructors
Constructor and Description
`ConstructorDeclaration()`
`ConstructorDeclaration(int beginLine, int beginColumn, int endLine, int endColumn, JavadocComment javaDoc, int modifiers, List<AnnotationExpr> annotations, List<TypeParameter> typeParameters, String name, List<Parameter> parameters, List<NameExpr> throws_, BlockStmt block)`
`ConstructorDeclaration(int modifiers, String name)`
`ConstructorDeclaration(JavadocComment javaDoc, int modifiers, List<AnnotationExpr> annotations, List<TypeParameter> typeParameters, String name, List<Parameter> parameters, List<NameExpr> throws_, BlockStmt block)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`BlockStmt` `getBlock()`
`int` `getModifiers()` Return the modifiers of this member declaration.
`String` `getName()`
`List<Parameter>` `getParameters()`
`List<NameExpr>` `getThrows()`
`List<TypeParameter>` `getTypeParameters()`
`void` `setBlock(BlockStmt block)`
`void` `setModifiers(int modifiers)`
`void` `setName(String name)`
`void` `setParameters(List<Parameter> parameters)`
`void` `setThrows(List<NameExpr> throws_)`
`void` `setTypeParameters(List<TypeParameter> typeParameters)`

### Methods inherited from class japa.parser.ast.body.BodyDeclaration

`getAnnotations, getJavaDoc, setAnnotations, setJavaDoc`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConstructorDeclaration

    public ConstructorDeclaration()

#### ConstructorDeclaration

    public ConstructorDeclaration(int modifiers,
                          String name)

#### ConstructorDeclaration

    public ConstructorDeclaration(JavadocComment javaDoc,
                          int modifiers,
                          List<AnnotationExpr> annotations,
                          List<TypeParameter> typeParameters,
                          String name,
                          List<Parameter> parameters,
                          List<NameExpr> throws_,
                          BlockStmt block)

#### ConstructorDeclaration

    public ConstructorDeclaration(int beginLine,
                          int beginColumn,
                          int endLine,
                          int endColumn,
                          JavadocComment javaDoc,
                          int modifiers,
                          List<AnnotationExpr> annotations,
                          List<TypeParameter> typeParameters,
                          String name,
                          List<Parameter> parameters,
                          List<NameExpr> throws_,
                          BlockStmt block)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getBlock

    public BlockStmt getBlock()

#### getModifiers

    public int getModifiers()

Return the modifiers of this member declaration.

Returns:
  modifiers
See Also:
  `ModifierSet`

#### getName

    public String getName()

#### getParameters

    public List<Parameter> getParameters()

#### getThrows

    public List<NameExpr> getThrows()

#### getTypeParameters

    public List<TypeParameter> getTypeParameters()

#### setBlock

    public void setBlock(BlockStmt block)

#### setModifiers

    public void setModifiers(int modifiers)

#### setName

    public void setName(String name)

#### setParameters

    public void setParameters(List<Parameter> parameters)

#### setThrows

    public void setThrows(List<NameExpr> throws_)

#### setTypeParameters

    public void setTypeParameters(List<TypeParameter> typeParameters)